#pragma once

#include "IxWidgetFactory.h"

class AutoCompleteComBoxWidget;

class AutoCompleteComBoxWidgetFactory : public IxWidgetFactory
{

public:
	AutoCompleteComBoxWidgetFactory();
	~AutoCompleteComBoxWidgetFactory();

	void create(qx::IxDataMember* dataMember, QWidget* parent) override;

	QString type() const override;

	QWidget* getWidget() const override;

	IxWidget* getIxWidget() const override;

private:
	AutoCompleteComBoxWidget* widget;

};
